#!/bin/sh

. ../../../prepare.inc.sh
. ../../../toolbox.inc.sh


# ---- do the actual testing ----

result=PASS

if version_less_than `uname -r` 3.5
then
	echo "++++ SKIPPING TEST" >>$OUTPUTFILE
	marker "SKIPPING DUE TO LACK OF KEY INVALIDATION"
	toolbox_report_result $TEST PASS
	exit 0
fi

echo "++++ BEGINNING TEST" >$OUTPUTFILE

# check that no arguments fails correctly
marker "NO ARGS"
expect_args_error keyctl invalidate

# check that two arguments fail correctly
marker "TWO ARGS"
expect_args_error keyctl invalidate 0 0

echo "++++ FINISHED TEST: $result" >>$OUTPUTFILE

# --- then report the results in the database ---
toolbox_report_result $TEST $result
